Bug 2053951 - xed: odd dependency from zenity, libpeas-loader-python3
Summary: xed: odd dependency from zenity, libpeas-loader-python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xed
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-13 14:31 UTC by Mikhail Novosyolov
Modified: 2022-02-22 03:57 UTC (History)
2 users (show)

Fixed In Version: xed-3.2.2-3.fc37 xed-3.2.2-3.fc36 xed-3.2.2-4.fc34 xed-3.2.2-4.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-13 17:07:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Mikhail Novosyolov 2022-02-13 14:31:05 UTC
From xed.spec in Fedora rawhide:

>Requires:	zenity%{?_isa}

[user@rosa2019 sources]$ git clone https://github.com/linuxmint/xed.git
<...>
[user@rosa2019 sources]$ cd xed
[user@rosa2019 xed]$ grep -inHr zenity
debian/changelog:28:  * Packaging: remove zenity dependency (#472)
[user@rosa2019 xed]$ 

>Requires:	libpeas-loader-python%{python3_pkgversion}%{?_isa}
$ grep -inHr peas
debian/changelog:219:  * Packaging: remove dependency on libpeas-1.0-0-python3loader (#325)
debian/changelog:488:  * Packaging: Remove dependency on libpeas-1.0-0-python3loader in LMDE
<...>

Comment 1 Mikhail Novosyolov 2022-02-13 14:47:24 UTC
BTW %doc %{_datadir}/gtk-doc make gtk-doc directory be owned by xed, it shoudl probably be like this:
%doc %{_datadir}/gtk-doc/*

Comment 2 Mikhail Novosyolov 2022-02-13 15:10:07 UTC
also, /usr/share/help/*/xed files are language-specific, I would better remove them from %files and add "--with-gnome" to %find_lang, it will find them and mark as %lang.

Comment 3 Fedora Update System 2022-02-13 17:04:30 UTC
FEDORA-2022-6865fc3d0b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-6865fc3d0b

Comment 4 Fedora Update System 2022-02-13 17:05:46 UTC
FEDORA-2022-2a7da89bb2 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2a7da89bb2

Comment 5 Fedora Update System 2022-02-13 17:07:35 UTC
FEDORA-2022-6865fc3d0b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-02-13 17:07:42 UTC
FEDORA-2022-2a7da89bb2 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-02-13 17:22:48 UTC
FEDORA-2022-d302d238ac has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d302d238ac

Comment 8 Fedora Update System 2022-02-13 17:22:48 UTC
FEDORA-2022-3166369842 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3166369842

Comment 9 Mikhail Novosyolov 2022-02-13 20:13:17 UTC
I think you confused python3-gi and libpeas

Comment 10 Fedora Update System 2022-02-14 00:26:40 UTC
FEDORA-2022-872d15bb30 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-872d15bb30`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-872d15bb30

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-02-14 01:10:51 UTC
FEDORA-2022-130e637adb has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-130e637adb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-130e637adb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-02-22 02:58:54 UTC
FEDORA-2022-872d15bb30 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-02-22 03:57:12 UTC
FEDORA-2022-130e637adb has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.